
function Y= Figure_3_rf(Stats,Density,GDP_growth,name,name_figure,Figure_name,code_plot,variable_1,variables,age,gender,title_t,Format,Dir,Rank,datafig3)
%This Code replicate Figures 3 from the paper
%%   Inputs:
%   Stats: Data base with income dynamics statistics 
%   Density: Data base with density
%   GDP_growth: Data base with GDP Growth 
%   name: Country Code
%   name_figure: Name of the Figure (See below)
%   Figure_name: Figure Number (Creates the directory)
%   code_plot: Name of the Figure (See below)
%   variable_1: Variables general to all figures
%   variables: Variables to plot (Specific for each figure)
%   age: Age-Group in the figures
%   gender: Gender in the figures
%   title_t: Title of the Figure (Actually saving without title)
%   Format: Struct with format
%   Dir: Struct with Directories
%   Rank: Data base with Statistics by skill 
%              Name of the Figure = [name_figure code_plot]
%   datafig3: Data base of mean GDP growth and P99 growth
%% Outputs:
%   Figure 3 stored in the corresponding folder 
%Housekeeping
name_figure_store=name_figure;


title_name='99-th Percentile';
y_label='Growth in the 99th percentile';
x_label='Growth in GDP per capita';

f1 = figure('Color',[1 1 1], 'Position',Format.L4_figsize,'defaultAxesColorOrder',[[0 0 0]; [0 0 0]]);
%Apply Margins
%Sub Figure 1
subaxis(1,2,1,'SpacingHoriz', Format.L4_spaceH, ...
        'SpacingVert',Format.L4_spaceV, 'PL',Format.L4_padding,'PR',Format.L4_padding,'mt',...
        Format.L4_marTop,'mb',Format.L4_marBot,'ML',Format.L4_marginL,'MR',Format.L4_marginR);

plot([-1,3],[-1 3],'LineWidth',Format.L4_linewith,'LineStyle','--','Color',Format.L4_my_red_line,'Marker','none'); 
hold on;
h=gobjects(length(datafig3.gdppercapita),1);
for j=1:length(datafig3.gdppercapita)
h(j)=scatter(datafig3.gdppercapita(j),datafig3.p99(j),24,Format.L4_my_red_cicle,DisplayName=datafig3.country(j),MarkerEdgeColor="flat");
end
%labelpoints(datafig3.gdppercapita,datafig3.p99,datafig3.country)
dx=[0.1,-0.15,0.1,-0.3,0.1,0.1 ,0.1 ,0.1,0.1,0.1,0.1,-0.05   ,0,0,0  ]'*1.25;
dy=[0  ,-0.12,0  ,0    ,0  ,0 ,0.15,0  ,0.1,0  ,0  ,-0.1,0,0,0.1]'*1.25;
% 
text(datafig3.gdppercapita+dx, datafig3.p99+dy, datafig3.country, 'Fontsize', Format.L4_text_font_size,'Color',Format.L4_my_blue_words);
hold off;
set(gca,'FontSize',Format.L4_FontSize_axis_long_2,'XGrid','off','YGrid','on');
x=xlabel(x_label,'FontSize',Format.L4_FontSize_axis_long,'Interpreter','latex','FontWeight','bold');
y=ylabel(y_label,'FontSize',Format.L4_FontSize_axis_long,'Interpreter','latex','FontWeight','bold');
set(y, 'Units', 'Normalized', 'Position', [-0.06, 0.5, 0]);
set(x, 'Units', 'Normalized', 'Position', [0.5, -0.09, 0]);
yticks([-1 0 1  2  3]);
xticks([-1 0 1  2  3]);
%Set limits
xlim([-1.1 3.1]);
ylim([-1.1 3.1]);
box off;
title(title_name,'FontSize',14,'Color',[0,0,0],'FontWeight','normal');


%Sub Figure 2
subaxis(1,2,2,'SpacingHoriz', Format.L4_spaceH, ...
        'SpacingVert',Format.L4_spaceV, 'PL',Format.L4_padding,'PR',Format.L4_padding,'mt',...
        Format.L4_marTop,'mb',Format.L4_marBot,'ML',Format.L4_marginL,'MR',Format.L4_marginR);

title_name='99.9-th Percentile';
y_label='Growth in the 99.9th percentile';
x_label='Growth in GDP per capita';

plot([-1,3],[-1 3],'LineWidth',Format.L4_linewith,'LineStyle','--','Color',Format.L4_my_red_line,'Marker','none'); 
hold on;
h=gobjects(length(datafig3.gdppercapita),1);
for j=1:length(datafig3.gdppercapita)
h(j)=scatter(datafig3.gdppercapita(j),datafig3.p999(j),24,Format.L4_my_blue_squared,DisplayName=datafig3.country(j),Marker="square");
end
%labelpoints(datafig3.gdppercapita,datafig3.p99,datafig3.country)
dx=[0.1,0.1,-0.3,0.1,-0.35,-0.35 ,-0.35 ,0.1,-0.35,-0.35,0.1,0.1   ,0,0,0.1 ]'*1.25;
dy=[0  ,0,0  ,0    ,0  ,0 ,0,0  ,0,0  ,0  ,0,0,0,0]'*1.25;
% 
text(datafig3.gdppercapita+dx, datafig3.p999+dy, datafig3.country, 'Fontsize', Format.L4_text_font_size,'Color',Format.L4_my_blue_words);
hold off;
set(gca,'FontSize',Format.L4_FontSize_axis_long_2,'XGrid','off','YGrid','on');
x=xlabel(x_label,'FontSize',Format.L4_FontSize_axis_long,'Interpreter','latex','FontWeight','bold');
y=ylabel(y_label,'FontSize',Format.L4_FontSize_axis_long,'Interpreter','latex','FontWeight','bold');
set(y, 'Units', 'Normalized', 'Position', [-0.06, 0.5, 0]);
set(x, 'Units', 'Normalized', 'Position', [0.5, -0.09, 0]);
yticks([-1 0 1  2  3]);
xticks([-1 0 1  2  3]);
%Set limits
xlim([-1.1 3.1]);
ylim([-1.1 3.1]);
box off
title(title_name,'FontSize',14,'Color',[0,0,0],'FontWeight','normal')


name_figure=[name_figure_store];

%Storing Files
Storing_figures;


cd(Dir.Main_directory)
close all
end
