%% Import data from text file
% Script for importing data from the following text file:
%
%    filename: C:\Users\bulla\Dropbox\FRANCISCO_RA\Francisco\Data\Data_raw\Density.csv
%
% Auto-generated by MATLAB on 24-May-2022 15:46:16

%% Set up the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 7);

% Specify range and delimiter
opts.DataLines = [2, Inf];
opts.Delimiter = ",";

% Specify column names and types
opts.VariableNames = ["country", "year", "gender", "age", "bin", "midp_bin_res_1yr_log_chg_distr", "dens_bin_res_1yr_log_chg_distr"];
opts.VariableTypes = ["categorical", "double", "categorical", "categorical", "double", "double", "double"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
opts = setvaropts(opts, ["country", "gender", "age"], "EmptyFieldRule", "auto");

name=[Data_dir '\Density.csv'];
% Import the data
Density = readtable(name, opts);


%% Clear temporary variables
clear opts