%% Import data from text file
% Script for importing data from the following text file:
%
%    filename: C:\Users\bulla\Dropbox\FRANCISCO_RA\Francisco\Replication_file\Data\data_fig_3.csv
%
% Auto-generated by MATLAB on 11-Aug-2022 11:16:14

%% Set up the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 10);

% Specify range and delimiter
opts.DataLines = [2, Inf];
opts.Delimiter = ",";

% Specify column names and types
opts.VariableNames = ["var1", "gdppercapita", "var3", "p99", "p999", "top1share", "top01share", "pos", "pos01", "country"];
opts.VariableTypes = ["string", "double", "double", "double", "double", "double", "double", "double", "double", "string"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
opts = setvaropts(opts, ["var1", "country"], "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["var1", "country"], "EmptyFieldRule", "auto");
opts = setvaropts(opts, "var3", "TrimNonNumeric", true);
opts = setvaropts(opts, "var3", "ThousandsSeparator", ",");


% Import the data
name=[Data_dir '\data_fig_3.csv'];
datafig3 = readtable(name, opts);


%% Clear temporary variables
clear opts