%% Import data from spreadsheet
% Script for importing data from the following spreadsheet:
%
%    Workbook: C:\Users\bulla\Dropbox\FRANCISCO_RA\Francisco\Data\Data_raw\WEOApr2022all.xlsx
%    Worksheet: Data
%
% Auto-generated by MATLAB on 24-May-2022 20:46:33

%% Set up the Import Options and import the data
opts = spreadsheetImportOptions("NumVariables", 6);

% Specify sheet and range
opts.Sheet = "Data_2";
opts.DataRange = "B3:G3694";

% Specify column names and types
opts.VariableNames = ["country", "year","per_capita_gdp_level","per_capita_ln_gdp_growth","L1_per_capita_ln_gdp_growth","F1_per_capita_ln_gdp_growth"];
opts.VariableTypes = ["categorical", "double","double","double","double","double"];

% Specify variable properties
%opts = setvaropts(opts, "country", "WhitespaceRule", "preserve");
%opts = setvaropts(opts, "country", "EmptyFieldRule", "auto");

% Import the data
name=[Data_dir '\data_World_Bank.xlsx'];
% Import the data
GDP_growth = readtable(name, opts, "UseExcel", false);


%% Clear temporary variables
clear opts