%% Import data from text file
% Script for importing data from the following text file:
%
%    filename: C:\Users\bulla\Dropbox\FRANCISCO_RA\Francisco\Data\Data_raw\QE_summary_to_use.csv
%
% Auto-generated by MATLAB on 15-Jun-2022 18:23:14

%% Set up the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 38);

% Specify range and delimiter
opts.DataLines = [2, Inf];
opts.Delimiter = ",";

% Specify column names and types
opts.VariableNames = ["country", "year", "gender", "age", "nobs_log_inc", "std_log_inc", "p9010_log_inc", "p9050_log_inc", "p5010_log_inc", "nobs_res_log_inc", "std_res_log_inc", "p9010_res_log_inc", "p9050_res_log_inc", "p5010_res_log_inc", "gini", "gdp_gr_", "gdp_pc_", "growth_gdp_pc", "gini_coefficient", "per_capita_gdp_level", "per_capita_ln_gdp_growth", "L1_per_capita_ln_gdp_growth", "F1_per_capita_ln_gdp_growth", "q9010f", "q9050f", "q5010f", "q9010m", "q9050m", "q5010m", "q9010fm", "q9050fm", "q5010fm", "q9010mm", "q9050mm", "q5010mm", "diff9010", "diff9050", "diff5010"];
opts.VariableTypes = ["categorical", "double", "categorical", "categorical", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
% Specify variable properties
opts = setvaropts(opts, ["country", "gender", "age"], "EmptyFieldRule", "auto");



% Import the data
name=[Data_dir '\QE_summary.csv'];
QEsummary = readtable(name, opts);


%% Clear temporary variables
clear opts