%% Import data from text file
% Script for importing data from the following text file:
%
%    filename: C:\Users\bulla\Dropbox\FRANCISCO_RA\Francisco\Data\Data_raw\Rank.csv
%
% Auto-generated by MATLAB on 06-Jun-2022 10:40:30

%% Set up the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 59);

% Specify range and delimiter
opts.DataLines = [2, Inf];
opts.Delimiter = ",";

% Specify column names and types
opts.VariableNames = ["country", "year", "gender", "age", "rank_permanent_inc", "nobs_res_1yr_log_chg_by_skill", "mean_res_1yr_log_chg_by_skill", "std_res_1yr_log_chg_by_skill", "skew_res_1yr_log_chg_by_skill", "kurt_res_1yr_log_chg_by_skill", "kelley_res_1yr_log_chg_by_skill", "crows_res_1yr_log_chg_by_skill", "p1_res_1yr_log_chg_by_skill", "p2_5_res_1yr_log_chg_by_skill", "p5_res_1yr_log_chg_by_skill", "p10_res_1yr_log_chg_by_skill", "p12_5_res_1yr_log_chg_by_skill", "p25_res_1yr_log_chg_by_skill", "p37_5_res_1yr_log_chg_by_skill", "p50_res_1yr_log_chg_by_skill", "p62_5_res_1yr_log_chg_by_skill", "p75_res_1yr_log_chg_by_skill", "p87_5_res_1yr_log_chg_by_skill", "p90_res_1yr_log_chg_by_skill", "p95_res_1yr_log_chg_by_skill", "p97_5_res_1yr_log_chg_by_skill", "p99_res_1yr_log_chg_by_skill", "p99_9_res_1yr_log_chg_by_skill", "p99_99_res_1yr_log_chg_by_skill", "p9010_res_1yr_log_chg_by_skill", "p9050_res_1yr_log_chg_by_skill", "p5010_res_1yr_log_chg_by_skill", "nobs_res_5yr_log_chg_by_skill", "mean_res_5yr_log_chg_by_skill", "std_res_5yr_log_chg_by_skill", "skew_res_5yr_log_chg_by_skill", "kurt_res_5yr_log_chg_by_skill", "kelley_res_5yr_log_chg_by_skill", "crows_res_5yr_log_chg_by_skill", "p1_res_5yr_log_chg_by_skill", "p2_5_res_5yr_log_chg_by_skill", "p5_res_5yr_log_chg_by_skill", "p10_res_5yr_log_chg_by_skill", "p12_5_res_5yr_log_chg_by_skill", "p25_res_5yr_log_chg_by_skill", "p37_5_res_5yr_log_chg_by_skill", "p50_res_5yr_log_chg_by_skill", "p62_5_res_5yr_log_chg_by_skill", "p75_res_5yr_log_chg_by_skill", "p87_5_res_5yr_log_chg_by_skill", "p90_res_5yr_log_chg_by_skill", "p95_res_5yr_log_chg_by_skill", "p97_5_res_5yr_log_chg_by_skill", "p99_res_5yr_log_chg_by_skill", "p99_9_res_5yr_log_chg_by_skill", "p99_99_res_5yr_log_chg_by_skill", "p9010_res_5yr_log_chg_by_skill", "p9050_res_5yr_log_chg_by_skill", "p5010_res_5yr_log_chg_by_skill"];
opts.VariableTypes = ["categorical", "double", "categorical", "categorical", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
opts = setvaropts(opts, ["country", "gender"], "EmptyFieldRule", "auto");
%opts = setvaropts(opts, "age", "TrimNonNumeric", true);
%opts = setvaropts(opts, "age", "ThousandsSeparator", ",");

% Import the data
name=[Data_dir '\Rank.csv'];
Rank = readtable(name, opts);

%% Clear temporary variables
clear opts