%% Import data from text file
% Script for importing data from the following text file:
%
%    filename: C:\Users\bulla\Dropbox\FRANCISCO_RA\Francisco\Data\Data_raw\Stats.csv
%
% Auto-generated by MATLAB on 25-Jul-2022 13:27:23

%% Set up the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 158, "Encoding", "UTF-8");

% Specify range and delimiter
opts.DataLines = [2, Inf];
opts.Delimiter = ",";

% Specify column names and types
opts.VariableNames = ["country", "year", "gender", "age", "share_first_quintile_inc", "share_second_quintile_inc", "share_third_quintile_inc", "share_fourth_quintile_inc", "share_fifth_quintile_inc", "share_bottom50_inc", "share_top10_pct_inc", "share_top5_pct_inc", "share_top1_pct_inc", "share_top0_5_pct_inc", "share_top0_1_pct_inc", "share_top0_01_pct_inc", "gini_coefficient", "Pareto_tail_index_5pct", "Pareto_tail_index_1pct", "nobs_log_inc", "mean_log_inc", "std_log_inc", "kelley_log_inc", "crows_log_inc", "p1_log_inc", "p2_5_log_inc", "p5_log_inc", "p10_log_inc", "p12_5_log_inc", "p25_log_inc", "p37_5_log_inc", "p50_log_inc", "p62_5_log_inc", "p75_log_inc", "p87_5_log_inc", "p90_log_inc", "p95_log_inc", "p97_5_log_inc", "p99_log_inc", "p99_9_log_inc", "p99_99_log_inc", "p9010_log_inc", "p9050_log_inc", "p5010_log_inc", "nobs_res_log_inc", "mean_res_log_inc", "std_res_log_inc", "kelley_res_log_inc", "crows_res_log_inc", "p1_res_log_inc", "p2_5_res_log_inc", "p5_res_log_inc", "p10_res_log_inc", "p12_5_res_log_inc", "p25_res_log_inc", "p37_5_res_log_inc", "p50_res_log_inc", "p62_5_res_log_inc", "p75_res_log_inc", "p87_5_res_log_inc", "p90_res_log_inc", "p95_res_log_inc", "p97_5_res_log_inc", "p99_res_log_inc", "p99_9_res_log_inc", "p99_99_res_log_inc", "p9010_res_log_inc", "p9050_res_log_inc", "p5010_res_log_inc", "autocorr_lag1_res_log_inc", "autocorr_lag2_res_log_inc", "autocorr_lag3_res_log_inc", "autocorr_lag4_res_log_inc", "autocorr_lag5_res_log_inc", "nobs_log_perm_inc", "mean_log_perm_inc", "std_log_perm_inc", "kelley_log_perm_inc", "crows_log_perm_inc", "p1_log_perm_inc", "p2_5_log_perm_inc", "p5_log_perm_inc", "p10_log_perm_inc", "p12_5_log_perm_inc", "p25_log_perm_inc", "p37_5_log_perm_inc", "p50_log_perm_inc", "p62_5_log_perm_inc", "p75_log_perm_inc", "p87_5_log_perm_inc", "p90_log_perm_inc", "p95_log_perm_inc", "p97_5_log_perm_inc", "p99_log_perm_inc", "p99_9_log_perm_inc", "p99_99_log_perm_inc", "p9010_log_perm_inc", "p9050_log_perm_inc", "p5010_log_perm_inc", "nobs_res_1yr_log_chg", "mean_res_1yr_log_chg", "std_res_1yr_log_chg", "skew_res_1yr_log_chg", "kurt_res_1yr_log_chg", "kelley_res_1yr_log_chg", "crows_res_1yr_log_chg", "p1_res_1yr_log_chg", "p2_5_res_1yr_log_chg", "p5_res_1yr_log_chg", "p10_res_1yr_log_chg", "p12_5_res_1yr_log_chg", "p25_res_1yr_log_chg", "p37_5_res_1yr_log_chg", "p50_res_1yr_log_chg", "p62_5_res_1yr_log_chg", "p75_res_1yr_log_chg", "p87_5_res_1yr_log_chg", "p90_res_1yr_log_chg", "p95_res_1yr_log_chg", "p97_5_res_1yr_log_chg", "p99_res_1yr_log_chg", "p99_9_res_1yr_log_chg", "p99_99_res_1yr_log_chg", "p9010_res_1yr_log_chg", "p9050_res_1yr_log_chg", "p5010_res_1yr_log_chg", "autocorr_lag1_res_1yr_log_chg", "autocorr_lag2_res_1yr_log_chg", "autocorr_lag3_res_1yr_log_chg", "autocorr_lag4_res_1yr_log_chg", "autocorr_lag5_res_1yr_log_chg", "nobs_res_5yr_log_chg", "mean_res_5yr_log_chg", "std_res_5yr_log_chg", "skew_res_5yr_log_chg", "kurt_res_5yr_log_chg", "kelley_res_5yr_log_chg", "crows_res_5yr_log_chg", "p1_res_5yr_log_chg", "p2_5_res_5yr_log_chg", "p5_res_5yr_log_chg", "p10_res_5yr_log_chg", "p12_5_res_5yr_log_chg", "p25_res_5yr_log_chg", "p37_5_res_5yr_log_chg", "p50_res_5yr_log_chg", "p62_5_res_5yr_log_chg", "p75_res_5yr_log_chg", "p87_5_res_5yr_log_chg", "p90_res_5yr_log_chg", "p95_res_5yr_log_chg", "p97_5_res_5yr_log_chg", "p99_res_5yr_log_chg", "p99_9_res_5yr_log_chg", "p99_99_res_5yr_log_chg", "p9010_res_5yr_log_chg", "p9050_res_5yr_log_chg", "p5010_res_5yr_log_chg"];
opts.VariableTypes = ["categorical", "double", "categorical", "categorical", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
opts = setvaropts(opts, ["country", "gender", "age"], "EmptyFieldRule", "auto");

% Import the data
name=[Data_dir '\Stats.csv'];
Stats = readtable(name, opts);


%% Clear temporary variables
clear opts