
function Y= Table_2_rf(Stats,Density,GDP_growth,name,name_figure,Figure_name,code_plot,variable_1,variables,age,gender,title_t,Format,Dir)
%This Code replicate Table 2 from the paper
%%   Inputs:
%   Stats: Data base with income dynamics statistics 
%   Density: Data base with density
%   GDP_growth: Data base with GDP Growth 
%   name: Country Code
%   name_figure: Name of the Figure (See below)
%   Figure_name: Figure Number (Creates the directory)
%   code_plot: Name of the Figure (See below)
%   variable_1: Variables general to all figures
%   variables: Variables to plot (Specific for each figure)
%   age: Age-Group in the figures
%   gender: Gender in the figures
%   title_t: Title of the Figure (Actually saving without title)
%   Format: Struct with format
%   Dir: Struct with Directories
%              Name of the Figure = [name_figure code_plot]
%% Outputs:
%   Coefficient for country 'name' and genders 'gender' are stored output Y   
%Housekeeping
name_figure_store=name_figure;

%Graph specific
%Data Selector: Graph specific
logic_1=Density.country==[name] & Density.age==[age] & Density.year== 2005; 
data_select=Density(logic_1,[variable_1,variables]);
logic_1_bis= Stats.country==[name] & Stats.age==[age] & Stats.year== 2005;
variables_2= ["std_res_1yr_log_chg" "skew_res_1yr_log_chg" "kurt_res_1yr_log_chg" ];
data_select_stats= Stats(logic_1_bis,[variable_1,variables_2]);

%Creating Log Density
logic_v=data_select.dens_bin_res_1yr_log_chg_distr>0;
data_select.Log_density=NaN*data_select.dens_bin_res_1yr_log_chg_distr;
data_select.Log_density(logic_v)=log(data_select.dens_bin_res_1yr_log_chg_distr(logic_v));

if height(data_select) >5

for j=1:length(gender)

%Select Data by gender and get statistics
logic_b=data_select.gender==gender(j);
logic_b_bis= data_select_stats.gender==gender(j);
sd_c=table2array(data_select_stats(logic_b_bis,[variables_2(1)]));
skew_c=table2array(data_select_stats(logic_b_bis,[variables_2(2)]));
kurt_c=table2array(data_select_stats(logic_b_bis,[variables_2(3)]));

y1=table2array(data_select(logic_b,["Log_density"]));
x1=table2array(data_select(logic_b,[variables(1)]));

%Restrict X for the analisis
logic_c = ~isnan(y1);
logic_c_2 = x1<=4 & x1>=-4;
logic_c=logical(logic_c.*logic_c_2);

%Creates Variables -> Keeping only Non missing and between -4:4
y1=y1(logic_c);
x1=x1(logic_c);
X=[ones(size(x1)),x1];

%Selection Variables and regressions
logic_left= x1<-1 & x1>=-4; 
logic_rigth= x1>1 & x1<=4 ;
%Get Pareto Tail index
%Left tail
beta_left=inv((X(logic_left,:)'*X(logic_left,:)))*X(logic_left,:)'*y1(logic_left);
% Right rail
beta_right=inv((X(logic_rigth,:)'*X(logic_rigth,:)))*X(logic_rigth,:)'*y1(logic_rigth);


left_slope(1,j)=beta_left(2,1);
right_slope(1,j)=beta_right(2,1);
gender(1,j)=gender(j);
country_name{1,j}=name;
SD(1,j)=sd_c;
Diff(1,j)=beta_left(2,1)-abs(beta_right(2,1));
end

else
end

out=struct;
out.country=country_name;
out.left_slope=left_slope;
out.right_slope=right_slope;
out.Diff=Diff ;
out.Sd=SD;
out.gender=gender;

Y=out;

cd(Dir.Main_directory)
close all
end
